summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-01-11 16:24:04 +0100
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:20:27 -0600
commit845beb7013a3f7ad71c5ede6d6fea6407936b261 (patch)
tree2372a4212dfd136bc9646133c61c671aee4bd2d3 /audio
parentac7593e25c89d2fe67d6539f0959d65de0f576b9 (diff)
downloadslackbuilds-845beb7013a3f7ad71c5ede6d6fea6407936b261.tar.gz
slackbuilds-845beb7013a3f7ad71c5ede6d6fea6407936b261.tar.xz
audio/azr3: Added (tonewheel organ simulator for jack).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/azr3/README17
-rw-r--r--audio/azr3/azr3.SlackBuild88
-rw-r--r--audio/azr3/azr3.desktop8
-rw-r--r--audio/azr3/azr3.info10
-rw-r--r--audio/azr3/azr3.pngbin0 -> 2135 bytes
-rw-r--r--audio/azr3/doinst.sh3
-rw-r--r--audio/azr3/setcap.sh1
-rw-r--r--audio/azr3/slack-desc19
8 files changed, 146 insertions, 0 deletions
diff --git a/audio/azr3/README b/audio/azr3/README
new file mode 100644
index 0000000000..d131d7f593
--- /dev/null
+++ b/audio/azr3/README
@@ -0,0 +1,17 @@
+azr3 (tonewheel organ simulator for jack-audio-connection-kit)
+
+azr3 is a JACK port of the free VST plugin AZR-3. It is a tonewheel
+organ with drawbars, distortion and rotating speakers.
+The original was written by Rumpelrausch Täips
+
+The organ has three sections, two polyphonic with 9 drawbars each and
+one monophonic bass section with 5 drawbars. The two polyphonic
+sections respond to events on MIDI channel 1 and 2, and an optional
+keyboard split function makes the bass section listen to the lower
+keys on channel 1.
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing).
+This may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/azr3/azr3.SlackBuild b/audio/azr3/azr3.SlackBuild
new file mode 100644
index 0000000000..f1311d8ba6
--- /dev/null
+++ b/audio/azr3/azr3.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for azr3
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=azr3
+VERSION=${VERSION:-1.2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+TARNAME=$PRGNAM-jack
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAME-$VERSION
+tar xvf $CWD/$TARNAME-$VERSION.tar.bz2
+cd $TARNAME-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make all install \
+ CFLAGS="$SLKCFLAGS" \
+ prefix=/usr \
+ libdir=/usr/lib$LIBDIRSUFFIX \
+ mandir=/usr/man \
+ pkgdocdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+strip $PKG/usr/bin/$PRGNAM
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# .desktop file written for this SlackBuild
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# icon is a small piece gimped out of panelfx.png
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ chown root:audio $PKG/usr/bin/$PRGNAM
+ chmod 0750 $PKG/usr/bin/$PRGNAM
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/azr3/azr3.desktop b/audio/azr3/azr3.desktop
new file mode 100644
index 0000000000..63e1e420b8
--- /dev/null
+++ b/audio/azr3/azr3.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=AZR-3
+Comment=Tonewheel Organ for JACK
+Exec=azr3
+Icon=azr3
+Terminal=false
+Type=Application
+Categories=AudioVideo;Audio;
diff --git a/audio/azr3/azr3.info b/audio/azr3/azr3.info
new file mode 100644
index 0000000000..8396587b0c
--- /dev/null
+++ b/audio/azr3/azr3.info
@@ -0,0 +1,10 @@
+PRGNAM="azr3"
+VERSION="1.2.3"
+HOMEPAGE="http://ll-plugins.nongnu.org/azr3/"
+DOWNLOAD="http://download.savannah.nongnu.org/releases-noredirect/ll-plugins/azr3-jack-1.2.3.tar.bz2"
+MD5SUM="aa71715e5873aea724713be5970ebfbc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit lash gtkmm"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/azr3/azr3.png b/audio/azr3/azr3.png
new file mode 100644
index 0000000000..c9b360e255
--- /dev/null
+++ b/audio/azr3/azr3.png
Binary files differ
diff --git a/audio/azr3/doinst.sh b/audio/azr3/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/azr3/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/azr3/setcap.sh b/audio/azr3/setcap.sh
new file mode 100644
index 0000000000..012b99e358
--- /dev/null
+++ b/audio/azr3/setcap.sh
@@ -0,0 +1 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/azr3
diff --git a/audio/azr3/slack-desc b/audio/azr3/slack-desc
new file mode 100644
index 0000000000..8bb331f95d
--- /dev/null
+++ b/audio/azr3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+azr3: azr3 (tonewheel organ simulator for jack-audio-connection-kit)
+azr3:
+azr3: azr3 is a JACK port of the free VST plugin AZR-3. It is a tonewheel
+azr3: organ with drawbars, distortion and rotating speakers. The original
+azr3: was written by Rumpelrausch Täips
+azr3:
+azr3: The organ has three sections, two polyphonic with 9 drawbars each
+azr3: and one monophonic bass section with 5 drawbars. The two polyphonic
+azr3: sections respond to events on MIDI channel 1 and 2, and an optional
+azr3: keyboard split function makes the bass section listen to the lower
+azr3: keys on channel 1.